/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.wtp.releng.tools.component.adopters;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class PluginRef
{
  private String id;
  private Map classRefs;

  public Collection getClassRefs()
  {
    if (classRefs == null)
      return new ArrayList(0);
    else
      return new ArrayList(classRefs.values());
  }

  public ClassRef getClassRef(String className)
  {
    if (classRefs == null)
      return null;
    else
      return (ClassRef)classRefs.get(className);
  }

  public void addClassRef(ClassRef classRef)
  {
    if (classRefs == null)
      classRefs = new HashMap();
    classRefs.put(classRef.getName(), classRef);
  }

  public void removeClassRef(String className)
  {
    if (classRefs != null)
      classRefs.remove(className);
  }

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("<plugin id=\"");
    sb.append(getId());
    sb.append("\">");
    for (Iterator it = getClassRefs().iterator(); it.hasNext();)
      sb.append(it.next().toString());
    sb.append("</plugin>");
    return sb.toString();
  }
}